## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate safetensors

Name:           rust-safetensors
Version:        0.5.3
Release:        %autorelease
Summary:        Functions for safer PyTorch safetensors read/write operations

License:        Apache-2.0
URL:            https://crates.io/crates/safetensors
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Patch out benchmark-only criterion dev-dependency
Patch:          safetensors-fix-metadata.diff

# Test failures on i686:
# tensor::tests::test_validation_overflow
# tensor::tests::test_json_attack
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Provides functions to read and write safetensors which aim to be safer
than their PyTorch counterpart. The format is 8 bytes which is an
unsized int, being the size of a JSON header, the JSON header refers the
`dtype` the `shape` and `data_offsets` which are the offsets for the
values in the rest of the file.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+hashbrown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+hashbrown-devel %{_description}

This package contains library source intended for building other packages which
use the "hashbrown" feature of the "%{crate}" crate.

%files       -n %{name}+hashbrown-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Mar 17 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.3-1
- Update to version 0.5.3; Fixes RHBZ#2348381

* Wed Jan 29 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.2-1
- Update to 0.5.2 (close RHBZ#2259837)

* Wed Jan 29 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.1-9
- Re-enable tests; use ExcludeArch instead

* Wed Jan 29 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.4.1-8
- Move more customization into rust2rpm.toml
- Re-generate spec file with rust2rpm 27

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 0.4.1-4
- Enable i686 and build for all arch

* Sat Jan 06 2024 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 0.4.1-3
- Exclude i686

* Sat Jan 06 2024 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 0.4.1-2
- Exclude i686 because validation_overflow and test_json_attack failed

* Sat Jan 06 2024 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 0.4.1-1
- Initial import rhbz#2256631
## END: Generated by rpmautospec
